# Uses of Enum Class
java.time.chrono.IsoEra

Packages that use IsoEra
Package
Description
java.time
The main API for dates, times, instants, and durations.
java.time.chrono
Generic API for calendar systems other than the default ISO.

## Uses of IsoEra in java.time

Methods in java.time that return IsoEra
Modifier and Type
Method
Description
`IsoEra`
LocalDate.`getEra()`
Gets the era applicable at this date.

## Uses of IsoEra in java.time.chrono

Methods in java.time.chrono that return IsoEra
Modifier and Type
Method
Description
`IsoEra`
IsoChronology.`eraOf(int eraValue)`
`static IsoEra`
IsoEra.`of(int isoEra)`
Obtains an instance of `IsoEra` from an `int` value.
`static IsoEra`
IsoEra.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IsoEra[]`
IsoEra.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.